<?php
$tdatareporte_ganadores = array();
$tdatareporte_ganadores[".searchableFields"] = array();
$tdatareporte_ganadores[".ShortName"] = "reporte_ganadores";
$tdatareporte_ganadores[".OwnerID"] = "";
$tdatareporte_ganadores[".OriginalTable"] = "pro_ganador";


$tdatareporte_ganadores[".pagesByType"] = my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" );
$tdatareporte_ganadores[".originalPagesByType"] = $tdatareporte_ganadores[".pagesByType"];
$tdatareporte_ganadores[".pages"] = types2pages( my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" ) );
$tdatareporte_ganadores[".originalPages"] = $tdatareporte_ganadores[".pages"];
$tdatareporte_ganadores[".defaultPages"] = my_json_decode( "{\"report\":\"report\",\"rprint\":\"rprint\",\"search\":\"search\"}" );
$tdatareporte_ganadores[".originalDefaultPages"] = $tdatareporte_ganadores[".defaultPages"];

//	field labels
$fieldLabelsreporte_ganadores = array();
$fieldToolTipsreporte_ganadores = array();
$pageTitlesreporte_ganadores = array();
$placeHoldersreporte_ganadores = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsreporte_ganadores["Spanish"] = array();
	$fieldToolTipsreporte_ganadores["Spanish"] = array();
	$placeHoldersreporte_ganadores["Spanish"] = array();
	$pageTitlesreporte_ganadores["Spanish"] = array();
	$fieldLabelsreporte_ganadores["Spanish"]["ci"] = "Ci";
	$fieldToolTipsreporte_ganadores["Spanish"]["ci"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["ci"] = "";
	$fieldLabelsreporte_ganadores["Spanish"]["fecha"] = "Fecha";
	$fieldToolTipsreporte_ganadores["Spanish"]["fecha"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["fecha"] = "";
	$fieldLabelsreporte_ganadores["Spanish"]["fecha_modificacion"] = "Fecha Modificacion";
	$fieldToolTipsreporte_ganadores["Spanish"]["fecha_modificacion"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["fecha_modificacion"] = "";
	$fieldLabelsreporte_ganadores["Spanish"]["id_ganador"] = "Id Ganador";
	$fieldToolTipsreporte_ganadores["Spanish"]["id_ganador"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["id_ganador"] = "";
	$fieldLabelsreporte_ganadores["Spanish"]["monto_acumulado"] = "Monto Acumulado";
	$fieldToolTipsreporte_ganadores["Spanish"]["monto_acumulado"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["monto_acumulado"] = "";
	$fieldLabelsreporte_ganadores["Spanish"]["monto_premio"] = "Monto Premio";
	$fieldToolTipsreporte_ganadores["Spanish"]["monto_premio"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["monto_premio"] = "";
	$fieldLabelsreporte_ganadores["Spanish"]["monto_saldo"] = "Monto Saldo";
	$fieldToolTipsreporte_ganadores["Spanish"]["monto_saldo"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["monto_saldo"] = "";
	$fieldLabelsreporte_ganadores["Spanish"]["placa"] = "Placa";
	$fieldToolTipsreporte_ganadores["Spanish"]["placa"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["placa"] = "";
	$fieldLabelsreporte_ganadores["Spanish"]["premio"] = "Premio";
	$fieldToolTipsreporte_ganadores["Spanish"]["premio"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["premio"] = "";
	$fieldLabelsreporte_ganadores["Spanish"]["responsable"] = "Responsable";
	$fieldToolTipsreporte_ganadores["Spanish"]["responsable"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["responsable"] = "";
	$fieldLabelsreporte_ganadores["Spanish"]["telefono"] = "Telefono";
	$fieldToolTipsreporte_ganadores["Spanish"]["telefono"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["telefono"] = "";
	$fieldLabelsreporte_ganadores["Spanish"]["PROMOCION"] = "PROMOCION";
	$fieldToolTipsreporte_ganadores["Spanish"]["PROMOCION"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["PROMOCION"] = "";
	$fieldLabelsreporte_ganadores["Spanish"]["GANADOR"] = "GANADOR";
	$fieldToolTipsreporte_ganadores["Spanish"]["GANADOR"] = "";
	$placeHoldersreporte_ganadores["Spanish"]["GANADOR"] = "";
	if (count($fieldToolTipsreporte_ganadores["Spanish"]))
		$tdatareporte_ganadores[".isUseToolTips"] = true;
}


	$tdatareporte_ganadores[".NCSearch"] = true;



$tdatareporte_ganadores[".shortTableName"] = "reporte_ganadores";
$tdatareporte_ganadores[".nSecOptions"] = 0;

$tdatareporte_ganadores[".mainTableOwnerID"] = "";
$tdatareporte_ganadores[".entityType"] = 2;
$tdatareporte_ganadores[".connId"] = "bsn_dividendos_at_localhost";


$tdatareporte_ganadores[".strOriginalTableName"] = "pro_ganador";

	



$tdatareporte_ganadores[".showAddInPopup"] = false;

$tdatareporte_ganadores[".showEditInPopup"] = false;

$tdatareporte_ganadores[".showViewInPopup"] = false;

$tdatareporte_ganadores[".listAjax"] = false;
//	temporary
//$tdatareporte_ganadores[".listAjax"] = false;

	$tdatareporte_ganadores[".audit"] = false;

	$tdatareporte_ganadores[".locking"] = false;


$pages = $tdatareporte_ganadores[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatareporte_ganadores[".edit"] = true;
	$tdatareporte_ganadores[".afterEditAction"] = 1;
	$tdatareporte_ganadores[".closePopupAfterEdit"] = 1;
	$tdatareporte_ganadores[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatareporte_ganadores[".add"] = true;
$tdatareporte_ganadores[".afterAddAction"] = 1;
$tdatareporte_ganadores[".closePopupAfterAdd"] = 1;
$tdatareporte_ganadores[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatareporte_ganadores[".list"] = true;
}



$tdatareporte_ganadores[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatareporte_ganadores[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatareporte_ganadores[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatareporte_ganadores[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatareporte_ganadores[".printFriendly"] = true;
}



$tdatareporte_ganadores[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatareporte_ganadores[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatareporte_ganadores[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatareporte_ganadores[".isUseAjaxSuggest"] = true;



																																													

$tdatareporte_ganadores[".ajaxCodeSnippetAdded"] = false;

$tdatareporte_ganadores[".buttonsAdded"] = false;

$tdatareporte_ganadores[".addPageEvents"] = false;

// use timepicker for search panel
$tdatareporte_ganadores[".isUseTimeForSearch"] = false;


$tdatareporte_ganadores[".badgeColor"] = "3CB371";


$tdatareporte_ganadores[".allSearchFields"] = array();
$tdatareporte_ganadores[".filterFields"] = array();
$tdatareporte_ganadores[".requiredSearchFields"] = array();

$tdatareporte_ganadores[".googleLikeFields"] = array();
$tdatareporte_ganadores[".googleLikeFields"][] = "id_ganador";
$tdatareporte_ganadores[".googleLikeFields"][] = "fecha";
$tdatareporte_ganadores[".googleLikeFields"][] = "PROMOCION";
$tdatareporte_ganadores[".googleLikeFields"][] = "GANADOR";
$tdatareporte_ganadores[".googleLikeFields"][] = "ci";
$tdatareporte_ganadores[".googleLikeFields"][] = "telefono";
$tdatareporte_ganadores[".googleLikeFields"][] = "placa";
$tdatareporte_ganadores[".googleLikeFields"][] = "premio";
$tdatareporte_ganadores[".googleLikeFields"][] = "monto_premio";
$tdatareporte_ganadores[".googleLikeFields"][] = "monto_acumulado";
$tdatareporte_ganadores[".googleLikeFields"][] = "monto_saldo";
$tdatareporte_ganadores[".googleLikeFields"][] = "fecha_modificacion";
$tdatareporte_ganadores[".googleLikeFields"][] = "responsable";



$tdatareporte_ganadores[".tableType"] = "report";

$tdatareporte_ganadores[".printerPageOrientation"] = 0;
$tdatareporte_ganadores[".nPrinterPageScale"] = 100;

$tdatareporte_ganadores[".nPrinterSplitRecords"] = 40;

$tdatareporte_ganadores[".geocodingEnabled"] = false;

//report settings

$tdatareporte_ganadores[".reportPrintGroupsPerPage"] = 3;
$tdatareporte_ganadores[".reportPrintRecordsPerPage"] = 40;

$tdatareporte_ganadores[".pageSizeGroups"] = 5;
$tdatareporte_ganadores[".pageSizeRecords"] = 20;


//end of report settings






$tdatareporte_ganadores[".noRecordsFirstPage"] = true;




$tstrOrderBy = "";
$tdatareporte_ganadores[".strOrderBy"] = $tstrOrderBy;

$tdatareporte_ganadores[".orderindexes"] = array();


$tdatareporte_ganadores[".sqlHead"] = "SELECT pro_ganador.id_ganador,    pro_ganador.fecha,    promocion.nombre AS PROMOCION,    CONCAT( apellido_paterno, ' ', apellido_materno, ' ', nombres ) AS GANADOR,    pro_ganador.ci,       pro_ganador.telefono,    pro_ganador.placa,    CONCAT( pro_premio.premio, '-', pro_premio.detalle ) AS premio,    pro_ganador.monto_premio,    pro_ganador.monto_acumulado,    pro_ganador.monto_saldo,      pro_ganador.fecha_modificacion,    pro_ganador.responsable";
$tdatareporte_ganadores[".sqlFrom"] = "FROM    pro_ganador    INNER JOIN pro_premio ON pro_ganador.id_premio = pro_premio.id_premio    INNER JOIN promocion ON pro_ganador.id_promocion = promocion.id_promocion";
$tdatareporte_ganadores[".sqlWhereExpr"] = "";
$tdatareporte_ganadores[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatareporte_ganadores[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatareporte_ganadores[".arrGroupsPerPage"] = $arrGPP;

$tdatareporte_ganadores[".highlightSearchResults"] = true;

$tableKeysreporte_ganadores = array();
$tableKeysreporte_ganadores[] = "id_ganador";
$tdatareporte_ganadores[".Keys"] = $tableKeysreporte_ganadores;


$tdatareporte_ganadores[".hideMobileList"] = array();




//	id_ganador
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_ganador";
	$fdata["GoodName"] = "id_ganador";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","id_ganador");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_ganador";

		$fdata["sourceSingle"] = "id_ganador";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ganador.id_ganador";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["id_ganador"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "id_ganador";
//	fecha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fecha";
	$fdata["GoodName"] = "fecha";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","fecha");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha";

		$fdata["sourceSingle"] = "fecha";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ganador.fecha";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Between";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["fecha"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "fecha";
//	PROMOCION
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "PROMOCION";
	$fdata["GoodName"] = "PROMOCION";
	$fdata["ownerTable"] = "promocion";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","PROMOCION");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "promocion.nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["PROMOCION"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "PROMOCION";
//	GANADOR
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "GANADOR";
	$fdata["GoodName"] = "GANADOR";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","GANADOR");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "GANADOR";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CONCAT( apellido_paterno, ' ', apellido_materno, ' ', nombres )";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["GANADOR"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "GANADOR";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","ci");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "ci";

		$fdata["sourceSingle"] = "ci";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ganador.ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "pro_participante";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "ci";
	$edata["LinkFieldType"] = 14;
	$edata["DisplayField"] = "ci";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "placa", "lookup" => "placa" );

	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["ci"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "ci";
//	telefono
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "telefono";
	$fdata["GoodName"] = "telefono";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","telefono");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "telefono";

		$fdata["sourceSingle"] = "telefono";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ganador.telefono";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["telefono"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "telefono";
//	placa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "placa";
	$fdata["GoodName"] = "placa";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","placa");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "placa";

		$fdata["sourceSingle"] = "placa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ganador.placa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "registro_participante_total";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "PLACA";
	$edata["LinkFieldType"] = 200;
	$edata["DisplayField"] = "PLACA";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "ci";
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "premio";
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "monto_acumulado";

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["placa"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "placa";
//	premio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "premio";
	$fdata["GoodName"] = "premio";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","premio");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "premio";

		$fdata["sourceSingle"] = "premio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CONCAT( pro_premio.premio, '-', pro_premio.detalle )";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "premios_total";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_det_premio";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "Premio";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "placa", "lookup" => "placa" );

	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "monto_premio";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["premio"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "premio";
//	monto_premio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "monto_premio";
	$fdata["GoodName"] = "monto_premio";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","monto_premio");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "monto_premio";

		$fdata["sourceSingle"] = "monto_premio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ganador.monto_premio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "pro_det_premio";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "cantidad_max";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "cantidad_max";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "premio", "lookup" => "id_det_premio" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["monto_premio"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "monto_premio";
//	monto_acumulado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "monto_acumulado";
	$fdata["GoodName"] = "monto_acumulado";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","monto_acumulado");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "monto_acumulado";

		$fdata["sourceSingle"] = "monto_acumulado";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ganador.monto_acumulado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "venta_participante_total";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "ACUMULADO";
	$edata["LinkFieldType"] = 14;
	$edata["DisplayField"] = "ACUMULADO";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "placa", "lookup" => "PLACA" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["monto_acumulado"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "monto_acumulado";
//	monto_saldo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "monto_saldo";
	$fdata["GoodName"] = "monto_saldo";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","monto_saldo");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "monto_saldo";

		$fdata["sourceSingle"] = "monto_saldo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ganador.monto_saldo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["monto_saldo"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "monto_saldo";
//	fecha_modificacion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "fecha_modificacion";
	$fdata["GoodName"] = "fecha_modificacion";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","fecha_modificacion");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha_modificacion";

		$fdata["sourceSingle"] = "fecha_modificacion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ganador.fecha_modificacion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["fecha_modificacion"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "fecha_modificacion";
//	responsable
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "responsable";
	$fdata["GoodName"] = "responsable";
	$fdata["ownerTable"] = "pro_ganador";
	$fdata["Label"] = GetFieldLabel("Reporte_Ganadores","responsable");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "responsable";

		$fdata["sourceSingle"] = "responsable";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ganador.responsable";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "sta_rosa_users";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "ID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "fullname";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_ganadores["responsable"] = $fdata;
		$tdatareporte_ganadores[".searchableFields"][] = "responsable";


$tables_data["Reporte Ganadores"]=&$tdatareporte_ganadores;
$field_labels["Reporte_Ganadores"] = &$fieldLabelsreporte_ganadores;
$fieldToolTips["Reporte_Ganadores"] = &$fieldToolTipsreporte_ganadores;
$placeHolders["Reporte_Ganadores"] = &$placeHoldersreporte_ganadores;
$page_titles["Reporte_Ganadores"] = &$pageTitlesreporte_ganadores;


changeTextControlsToDate( "Reporte Ganadores" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["Reporte Ganadores"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["Reporte Ganadores"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_reporte_ganadores()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "pro_ganador.id_ganador,    pro_ganador.fecha,    promocion.nombre AS PROMOCION,    CONCAT( apellido_paterno, ' ', apellido_materno, ' ', nombres ) AS GANADOR,    pro_ganador.ci,       pro_ganador.telefono,    pro_ganador.placa,    CONCAT( pro_premio.premio, '-', pro_premio.detalle ) AS premio,    pro_ganador.monto_premio,    pro_ganador.monto_acumulado,    pro_ganador.monto_saldo,      pro_ganador.fecha_modificacion,    pro_ganador.responsable";
$proto0["m_strFrom"] = "FROM    pro_ganador    INNER JOIN pro_premio ON pro_ganador.id_premio = pro_premio.id_premio    INNER JOIN promocion ON pro_ganador.id_promocion = promocion.id_promocion";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_ganador",
	"m_strTable" => "pro_ganador",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto6["m_sql"] = "pro_ganador.id_ganador";
$proto6["m_srcTableName"] = "Reporte Ganadores";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha",
	"m_strTable" => "pro_ganador",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto8["m_sql"] = "pro_ganador.fecha";
$proto8["m_srcTableName"] = "Reporte Ganadores";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "promocion",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto10["m_sql"] = "promocion.nombre";
$proto10["m_srcTableName"] = "Reporte Ganadores";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "PROMOCION";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$proto13=array();
$proto13["m_functiontype"] = "SQLF_CUSTOM";
$proto13["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "apellido_paterno"
));

$proto13["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto13["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "apellido_materno"
));

$proto13["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto13["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "nombres"
));

$proto13["m_arguments"][]=$obj;
$proto13["m_strFunctionName"] = "CONCAT";
$obj = new SQLFunctionCall($proto13);

$proto12["m_sql"] = "CONCAT( apellido_paterno, ' ', apellido_materno, ' ', nombres )";
$proto12["m_srcTableName"] = "Reporte Ganadores";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "GANADOR";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "pro_ganador",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto19["m_sql"] = "pro_ganador.ci";
$proto19["m_srcTableName"] = "Reporte Ganadores";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "telefono",
	"m_strTable" => "pro_ganador",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto21["m_sql"] = "pro_ganador.telefono";
$proto21["m_srcTableName"] = "Reporte Ganadores";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "placa",
	"m_strTable" => "pro_ganador",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto23["m_sql"] = "pro_ganador.placa";
$proto23["m_srcTableName"] = "Reporte Ganadores";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$proto26=array();
$proto26["m_functiontype"] = "SQLF_CUSTOM";
$proto26["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_premio.premio"
));

$proto26["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "'-'"
));

$proto26["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "pro_premio.detalle"
));

$proto26["m_arguments"][]=$obj;
$proto26["m_strFunctionName"] = "CONCAT";
$obj = new SQLFunctionCall($proto26);

$proto25["m_sql"] = "CONCAT( pro_premio.premio, '-', pro_premio.detalle )";
$proto25["m_srcTableName"] = "Reporte Ganadores";
$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "premio";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_premio",
	"m_strTable" => "pro_ganador",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto30["m_sql"] = "pro_ganador.monto_premio";
$proto30["m_srcTableName"] = "Reporte Ganadores";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_acumulado",
	"m_strTable" => "pro_ganador",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto32["m_sql"] = "pro_ganador.monto_acumulado";
$proto32["m_srcTableName"] = "Reporte Ganadores";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_saldo",
	"m_strTable" => "pro_ganador",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto34["m_sql"] = "pro_ganador.monto_saldo";
$proto34["m_srcTableName"] = "Reporte Ganadores";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_modificacion",
	"m_strTable" => "pro_ganador",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto36["m_sql"] = "pro_ganador.fecha_modificacion";
$proto36["m_srcTableName"] = "Reporte Ganadores";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "responsable",
	"m_strTable" => "pro_ganador",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto38["m_sql"] = "pro_ganador.responsable";
$proto38["m_srcTableName"] = "Reporte Ganadores";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto40=array();
$proto40["m_link"] = "SQLL_MAIN";
			$proto41=array();
$proto41["m_strName"] = "pro_ganador";
$proto41["m_srcTableName"] = "Reporte Ganadores";
$proto41["m_columns"] = array();
$proto41["m_columns"][] = "apellido_materno";
$proto41["m_columns"][] = "apellido_paterno";
$proto41["m_columns"][] = "ci";
$proto41["m_columns"][] = "complemento";
$proto41["m_columns"][] = "fecha";
$proto41["m_columns"][] = "fecha_modificacion";
$proto41["m_columns"][] = "foto";
$proto41["m_columns"][] = "id_ganador";
$proto41["m_columns"][] = "id_premio";
$proto41["m_columns"][] = "id_promocion";
$proto41["m_columns"][] = "monto_acumulado";
$proto41["m_columns"][] = "monto_premio";
$proto41["m_columns"][] = "monto_saldo";
$proto41["m_columns"][] = "nombres";
$proto41["m_columns"][] = "placa";
$proto41["m_columns"][] = "premio";
$proto41["m_columns"][] = "procedencia";
$proto41["m_columns"][] = "responsable";
$proto41["m_columns"][] = "saldo";
$proto41["m_columns"][] = "telefono";
$obj = new SQLTable($proto41);

$proto40["m_table"] = $obj;
$proto40["m_sql"] = "pro_ganador";
$proto40["m_alias"] = "";
$proto40["m_srcTableName"] = "Reporte Ganadores";
$proto42=array();
$proto42["m_sql"] = "";
$proto42["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto42["m_column"]=$obj;
$proto42["m_contained"] = array();
$proto42["m_strCase"] = "";
$proto42["m_havingmode"] = false;
$proto42["m_inBrackets"] = false;
$proto42["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto42);

$proto40["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto40);

$proto0["m_fromlist"][]=$obj;
												$proto44=array();
$proto44["m_link"] = "SQLL_INNERJOIN";
			$proto45=array();
$proto45["m_strName"] = "pro_premio";
$proto45["m_srcTableName"] = "Reporte Ganadores";
$proto45["m_columns"] = array();
$proto45["m_columns"][] = "cantidad";
$proto45["m_columns"][] = "detalle";
$proto45["m_columns"][] = "id_premio";
$proto45["m_columns"][] = "id_promocion";
$proto45["m_columns"][] = "precio_unitario";
$proto45["m_columns"][] = "premio";
$obj = new SQLTable($proto45);

$proto44["m_table"] = $obj;
$proto44["m_sql"] = "INNER JOIN pro_premio ON pro_ganador.id_premio = pro_premio.id_premio";
$proto44["m_alias"] = "";
$proto44["m_srcTableName"] = "Reporte Ganadores";
$proto46=array();
$proto46["m_sql"] = "pro_premio.id_premio = pro_ganador.id_premio";
$proto46["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_premio",
	"m_strTable" => "pro_premio",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto46["m_column"]=$obj;
$proto46["m_contained"] = array();
$proto46["m_strCase"] = "= pro_ganador.id_premio";
$proto46["m_havingmode"] = false;
$proto46["m_inBrackets"] = false;
$proto46["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto46);

$proto44["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto44);

$proto0["m_fromlist"][]=$obj;
												$proto48=array();
$proto48["m_link"] = "SQLL_INNERJOIN";
			$proto49=array();
$proto49["m_strName"] = "promocion";
$proto49["m_srcTableName"] = "Reporte Ganadores";
$proto49["m_columns"] = array();
$proto49["m_columns"][] = "codigo_aj";
$proto49["m_columns"][] = "descripcion";
$proto49["m_columns"][] = "estado";
$proto49["m_columns"][] = "fecha_fin";
$proto49["m_columns"][] = "fecha_inicial";
$proto49["m_columns"][] = "id_promocion";
$proto49["m_columns"][] = "log";
$proto49["m_columns"][] = "max_recarga";
$proto49["m_columns"][] = "nombre";
$proto49["m_columns"][] = "ventas";
$obj = new SQLTable($proto49);

$proto48["m_table"] = $obj;
$proto48["m_sql"] = "INNER JOIN promocion ON pro_ganador.id_promocion = promocion.id_promocion";
$proto48["m_alias"] = "";
$proto48["m_srcTableName"] = "Reporte Ganadores";
$proto50=array();
$proto50["m_sql"] = "promocion.id_promocion = pro_ganador.id_promocion";
$proto50["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_promocion",
	"m_strTable" => "promocion",
	"m_srcTableName" => "Reporte Ganadores"
));

$proto50["m_column"]=$obj;
$proto50["m_contained"] = array();
$proto50["m_strCase"] = "= pro_ganador.id_promocion";
$proto50["m_havingmode"] = false;
$proto50["m_inBrackets"] = false;
$proto50["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto50);

$proto48["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto48);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Reporte Ganadores";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_reporte_ganadores = createSqlQuery_reporte_ganadores();


	
		;

													

$tdatareporte_ganadores[".sqlquery"] = $queryData_reporte_ganadores;



$tdatareporte_ganadores[".hasEvents"] = false;

?>